Skip to content

Örnek İstek & Yanıt ​

Ön Provizyon Kapama (Post-Sale) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Payment/PostSale

İstek Gövdesi (Request Body) ​

http
POST/api/Payment/PostSale
{
    "processId": "b01c2da6-a57b-4a0f-8693-bc3e2f60222e",
    "orderId": "3f6399c2-fa32-4ddf-aed6-8898ab05fe33",
    "amount": 5700,
    "lang": "TR",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test deneme"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "processId": "8d920b68-d2c8-4a0e-b3a6-fc8941f7a95f",
        "orderId": "3f6399c2-fa32-4ddf-aed6-8898ab05fe33",
        "resultMessage": "Onaylandı. ",
        "resultCode": "",
        "procReturnCode": "00",
        "authCode": "491769",
        "secureType": "Non-3DS",
        "txnType": "PostSale",
        "cardMask": "49209500evrwia41",
        "amount": 5700,
        "pointAmount": 0,
        "installmentCount": 1,
        "merchantId": "000000001002585",
        "terminalId": "VP003636",
        "batchNo": 55146,
        "processDate": "2025-09-16T15:52:17.5235879+03:00",
        "rrn": "525915008493",
        "additionalInfo": "no: 123456789",
        "invoiceInfo": "test deneme",
        "ecommerceTxnType": 0,
        "txnInitiationType": 0
    }
}